FTPSServerSocketFactory
Date: 2016-06-23

org.apache.commons.net.ftp

## Class FTPSServerSocketFactory

- java.lang.Object
- - javax.net.ServerSocketFactory
  - - org.apache.commons.net.ftp.FTPSServerSocketFactory

-     public class FTPSServerSocketFactory
      extends javax.net.ServerSocketFactory

  Server socket factory for FTPS connections.
  Since:
    2.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FTPSServerSocketFactory(javax.net.ssl.SSLContext context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.ServerSocket` | `createServerSocket()`
    `java.net.ServerSocket` | `createServerSocket(int port)`
    `java.net.ServerSocket` | `createServerSocket(int port, int backlog)`
    `java.net.ServerSocket` | `createServerSocket(int port, int backlog, java.net.InetAddress ifAddress)`
    `java.net.ServerSocket` | `init(java.net.ServerSocket socket)` Sets the socket so newly accepted connections will use SSL client mode.

    - ### Methods inherited from class javax.net.ServerSocketFactory

      `getDefault`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FTPSServerSocketFactory

          public FTPSServerSocketFactory(javax.net.ssl.SSLContext context)

  - ### Method Detail

    - #### createServerSocket

          public java.net.ServerSocket createServerSocket()
                                                   throws java.io.IOException

      Overrides:
        `createServerSocket` in class `javax.net.ServerSocketFactory`
      Throws:
        `java.io.IOException`

    - #### createServerSocket

          public java.net.ServerSocket createServerSocket(int port)
                                                   throws java.io.IOException

      Specified by:
        `createServerSocket` in class `javax.net.ServerSocketFactory`
      Throws:
        `java.io.IOException`

    - #### createServerSocket

          public java.net.ServerSocket createServerSocket(int port,
                                                 int backlog)
                                                   throws java.io.IOException

      Specified by:
        `createServerSocket` in class `javax.net.ServerSocketFactory`
      Throws:
        `java.io.IOException`

    - #### createServerSocket

          public java.net.ServerSocket createServerSocket(int port,
                                                 int backlog,
                                                 java.net.InetAddress ifAddress)
                                                   throws java.io.IOException

      Specified by:
        `createServerSocket` in class `javax.net.ServerSocketFactory`
      Throws:
        `java.io.IOException`

    - #### init

          public java.net.ServerSocket init(java.net.ServerSocket socket)

      Sets the socket so newly accepted connections will use SSL client mode.
      Parameters:
        `socket` - the SSLServerSocket to initialise
      Returns:
        the socket
      Throws:
        `java.lang.ClassCastException` - if socket is not an instance of SSLServerSocket